## API Report File for "@fluentui/react-utilities"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { DispatchWithoutAction } from 'react';
import * as React_2 from 'react';

// @public
export const anchorProperties: Record<string, number>;

// @public
export const applyTriggerPropsToChildren: <TTriggerProps>(children: React_2.ReactElement<any, string | React_2.JSXElementConstructor<any>> | ((props: TTriggerProps) => React_2.ReactElement | null) | null | undefined, triggerProps: TTriggerProps) => React_2.ReactElement | null;

// @public
export type AsIntrinsicElement<As extends keyof JSX.IntrinsicElements> = {
    as?: As;
};

// @public
export const audioProperties: Record<string, number>;

// @public
export const baseElementEvents: Record<string, number>;

// @public
export const baseElementProperties: Record<string, number>;

// @public
export const buttonProperties: Record<string, number>;

// @public
export function canUseDOM(): boolean;

// @public
export const clamp: (value: number, min: number, max: number) => number;

// @public (undocumented)
export const colGroupProperties: Record<string, number>;

// @public (undocumented)
export const colProperties: Record<string, number>;

// @public
export type ComponentProps<Slots extends SlotPropsRecord, Primary extends keyof Slots = 'root'> = Omit<Slots, Primary & 'root'> & PropsWithoutRef<ExtractSlotProps<Slots[Primary]>>;

// @public
export type ComponentState<Slots extends SlotPropsRecord> = {
    components: {
        [Key in keyof Slots]-?: React_2.ComponentType<ExtractSlotProps<Slots[Key]>> | (ExtractSlotProps<Slots[Key]> extends AsIntrinsicElement<infer As> ? As : keyof JSX.IntrinsicElements);
    };
} & {
    [Key in keyof Slots]: ReplaceNullWithUndefined<Exclude<Slots[Key], SlotShorthandValue | (Key extends 'root' ? null : never)>>;
};

// Warning: (ae-internal-missing-underscore) The name "defaultSSRContextValue" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const defaultSSRContextValue: SSRContextValue;

// @public
export const divProperties: Record<string, number>;

// @public
export type ExtractSlotProps<S> = Exclude<S, SlotShorthandValue | null | undefined>;

// @public
export const fieldsetProperties: Record<string, number>;

// @public
export type FluentTriggerComponent = {
    isFluentTriggerComponent?: boolean;
};

// @public
export const formProperties: Record<string, number>;

// Warning: (ae-forgotten-export) The symbol "ObscureEventName" needs to be exported by the entry point index.d.ts
//
// @public
export type ForwardRefComponent<Props> = ObscureEventName extends keyof Props ? Required<Props>[ObscureEventName] extends React_2.PointerEventHandler<infer Element> ? React_2.ForwardRefExoticComponent<Props & React_2.RefAttributes<Element>> : never : never;

// @public
export function getNativeElementProps<TAttributes extends React_2.HTMLAttributes<any>>(tagName: string, props: {}, excludedPropNames?: string[]): TAttributes;

// @public
export function getNativeProps<T extends Record<string, any>>(props: Record<string, any>, allowedPropNames: string[] | Record<string, number>, excludedPropNames?: string[]): T;

// @public
export const getPartitionedNativeProps: <Props extends Pick<React_2.HTMLAttributes<HTMLElement>, "style" | "className">, ExcludedPropKeys extends Extract<keyof Props, string> = never>({ primarySlotTagName, props, excludedPropNames, }: {
    primarySlotTagName: keyof JSX.IntrinsicElements;
    props: Props;
    excludedPropNames?: ExcludedPropKeys[] | undefined;
}) => {
    root: {
        style: React_2.CSSProperties | undefined;
        className: string | undefined;
    };
    primary: Omit<Props, ExcludedPropKeys>;
};

// @public
export const getRTLSafeKey: (key: string, dir: 'ltr' | 'rtl') => string;

// @public
export function getSlots<R extends SlotPropsRecord>(state: ComponentState<R>): {
    slots: Slots<R>;
    slotProps: ObjectSlotProps<R>;
};

// @public
export const getTriggerChild: (children: React_2.ReactNode) => React_2.ReactElement & {
    ref?: React_2.Ref<unknown>;
};

// @public
export const htmlElementProperties: Record<string, number>;

// @public
export const iframeProperties: Record<string, number>;

// @public @deprecated (undocumented)
export const imageProperties: Record<string, number>;

// @public
export const imgProperties: Record<string, number>;

// @public
export const inputProperties: Record<string, number>;

// @public
export const isFluentTrigger: (element: React_2.ReactElement) => boolean | undefined;

// @public
export type IsSingleton<T extends string> = {
    [K in T]: Exclude<T, K> extends never ? true : false;
}[T];

// @public
export const labelProperties: Record<string, number>;

// @public
export const liProperties: Record<string, number>;

// @public
export const olProperties: Record<string, number>;

// @public
export function omit<TObj extends Record<string, any>, Exclusions extends (keyof TObj)[]>(obj: TObj, exclusions: Exclusions): Omit<TObj, Exclusions[number]>;

// @public (undocumented)
export const optionProperties: Record<string, number>;

// @public
export type PropsWithoutRef<P> = 'ref' extends keyof P ? (P extends unknown ? Omit<P, 'ref'> : P) : P;

// @public
export type RefObjectFunction<T> = React_2.RefObject<T> & ((value: T) => void);

// @public
export type ReplaceNullWithUndefined<T> = T extends null ? Exclude<T, null> | undefined : T;

// @public
export function resetIdsForTests(): void;

// @public
export const resolveShorthand: ResolveShorthandFunction;

// @public (undocumented)
export type ResolveShorthandFunction<Props extends UnknownSlotProps = UnknownSlotProps> = {
    <P extends Props | null>(value: P | SlotShorthandValue | undefined, options?: ResolveShorthandOptions<P, true>): ReplaceNullWithUndefined<P>;
    <P extends Props | null>(value: P | SlotShorthandValue | undefined, options?: ResolveShorthandOptions<P, boolean>): ReplaceNullWithUndefined<P> | undefined;
};

// @public (undocumented)
export type ResolveShorthandOptions<Props, Required extends boolean = false> = {
    required?: Required;
    defaultProps?: Props;
};

// @public
export const selectProperties: Record<string, number>;

// @public
export function shouldPreventDefaultOnKeyDown(e: KeyboardEvent | React_2.KeyboardEvent): boolean;

// Warning: (ae-forgotten-export) The symbol "WithSlotShorthandValue" needs to be exported by the entry point index.d.ts
// Warning: (ae-forgotten-export) The symbol "WithSlotRenderFunction" needs to be exported by the entry point index.d.ts
// Warning: (ae-forgotten-export) The symbol "IntrisicElementProps" needs to be exported by the entry point index.d.ts
//
// @public
export type Slot<Type extends keyof JSX.IntrinsicElements | React_2.ComponentType | UnknownSlotProps, AlternateAs extends keyof JSX.IntrinsicElements = never> = IsSingleton<Extract<Type, string>> extends true ? WithSlotShorthandValue<Type extends keyof JSX.IntrinsicElements ? {
    as?: Type;
} & WithSlotRenderFunction<IntrisicElementProps<Type>> : Type extends React_2.ComponentType<infer Props> ? WithSlotRenderFunction<Props> : Type> | {
    [As in AlternateAs]: {
        as: As;
    } & WithSlotRenderFunction<IntrisicElementProps<As>>;
}[AlternateAs] | null : 'Error: First parameter to Slot must not be not a union of types. See documentation of Slot type.';

// @public
export type SlotPropsRecord = Record<string, UnknownSlotProps | SlotShorthandValue | null | undefined>;

// @public (undocumented)
export type SlotRenderFunction<Props> = (Component: React_2.ElementType<Props>, props: Omit<Props, 'children' | 'as'>) => React_2.ReactNode;

// @public (undocumented)
export type Slots<S extends SlotPropsRecord> = {
    [K in keyof S]: ExtractSlotProps<S[K]> extends AsIntrinsicElement<infer As> ? As : ExtractSlotProps<S[K]> extends React_2.ComponentType<infer P> ? React_2.ElementType<NonNullable<P>> : React_2.ElementType<ExtractSlotProps<S[K]>>;
};

// @public
export type SlotShorthandValue = React_2.ReactChild | React_2.ReactNodeArray | React_2.ReactPortal;

// Warning: (ae-incompatible-release-tags) The symbol "SSRContext" is marked as @public, but its signature references "SSRContextValue" which is marked as @internal
//
// @public (undocumented)
export const SSRContext: React_2.Context<SSRContextValue>;

// Warning: (ae-internal-missing-underscore) The name "SSRContextValue" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export type SSRContextValue = {
    current: number;
};

// @public
export const SSRProvider: React_2.FC;

// @public
export const tableProperties: Record<string, number>;

// @public
export const tdProperties: Record<string, number>;

// @public
export const textAreaProperties: Record<string, number>;

// @public
export const thProperties: Record<string, number>;

// @public
export const trProperties: Record<string, number>;

// @public
export type UnionToIntersection<U> = (U extends unknown ? (x: U) => U : never) extends (x: infer I) => U ? I : never;

// @public
export type UnknownSlotProps = Pick<React_2.HTMLAttributes<HTMLElement>, 'children' | 'className' | 'style'> & {
    as?: keyof JSX.IntrinsicElements;
};

// @public
export function useBoolean(initialState: boolean): [boolean, UseBooleanCallbacks];

// @public
export type UseBooleanCallbacks = {
    setTrue: () => void;
    setFalse: () => void;
    toggle: () => void;
};

// @public
export function useConst<T>(initialValue: T | (() => T)): T;

// @public
export const useControllableState: <State>(options: UseControllableStateOptions<State>) => [State, React_2.Dispatch<React_2.SetStateAction<State>>];

// @public (undocumented)
export type UseControllableStateOptions<State> = {
    defaultState?: State | (() => State);
    state: State | undefined;
    initialState: State;
};

// @public
export const useEventCallback: <Args extends unknown[], Return>(fn: (...args: Args) => Return) => (...args: Args) => Return;

// @public
export function useFirstMount(): boolean;

// @public
export function useForceUpdate(): DispatchWithoutAction;

// @public
export function useId(prefix?: string, providedId?: string): string;

// @public
export const useIsomorphicLayoutEffect: typeof React_2.useEffect;

// @public
export function useIsSSR(): boolean;

// @public
export function useMergedEventCallbacks<Args extends unknown[]>(callback1: ((...args: Args) => void) | undefined, callback2: ((...args: Args) => void) | undefined): (...args: Args) => void;

// @public
export function useMergedRefs<T>(...refs: (React_2.Ref<T> | undefined)[]): RefObjectFunction<T>;

// @public
export const useMount: (callback: () => void) => void;

// @public (undocumented)
export type UseOnClickOrScrollOutsideOptions = {
    element: Document | undefined;
    refs: React_2.MutableRefObject<HTMLElement | undefined | null>[];
    contains?(parent: HTMLElement | null, child: HTMLElement): boolean;
    disabled?: boolean;
    callback: (ev: MouseEvent | TouchEvent) => void;
};

// @public
export const useOnClickOutside: (options: UseOnClickOrScrollOutsideOptions) => void;

// @public
export const useOnScrollOutside: (options: UseOnClickOrScrollOutsideOptions) => void;

// @public (undocumented)
export const usePrevious: <ValueType = unknown>(value: ValueType) => ValueType | null;

// Warning: (ae-internal-missing-underscore) The name "useSSRContext" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export function useSSRContext(): SSRContextValue;

// @public
export function useTimeout(): readonly [(fn: () => void, delay: number) => void, () => void];

// @public
export const useUnmount: (callback: () => void) => void;

// @public
export const videoProperties: Record<string, number>;

// Warnings were encountered during analysis:
//
// lib/compose/getSlots.d.ts:28:5 - (ae-forgotten-export) The symbol "ObjectSlotProps" needs to be exported by the entry point index.d.ts

// (No @packageDocumentation comment for this package)

```
